
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html{
  height: -web-fill-available;
}


body{
    height: 100vh;
    
    font-family: Roboto, sans-serif;
    font-size: 1rem;
    background: url("../img/bckg-home.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center; 
    backdrop-filter: sepia(40);
    animation: backgroundAnim 3s ease 0s 1 normal forwards;
  }
  


  p{
    margin: 0;
    line-height: 1.5;

  }
  
  p:nth-child(n+2){
    margin-top: 1rem;
  }


  .id-elektromobil{
    position: absolute;
    min-height: 100vh;
    min-width: 100%;
    padding: 15%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  .logo{
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 50%;
    left: 0%;
  }

  .logo img{
    width: 400px;
  }
  
  .ram {
    position: absolute;
  }
  .krug{
    position: absolute;
  }
  .ID{
    position: absolute;
  }
  @keyframes rotate {
    0% {}
    100% {transform: rotateY(360deg)}
  }
  .utikac{
    position: absolute;
  }  
  .elektro{
    position: absolute;
  }
  .mobil{
    position: absolute;
  }
  .menu{
  position: absolute;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  max-width: 1200px;
  padding-left: .75rem;
  padding-right: .75rem;  
  margin: auto;
  width: 100%;
  top:70%;
  }
 
  .open-popup{
    color: #F05223;
    background-color: rgba(0, 0, 0, 0.1);
    font-weight:bold ;
    text-decoration: none;
    text-transform: uppercase;
    padding: .75rem 1.25rem;
    margin: .55rem;
    border: 1px solid;
    transition: ease-in-out 0.5s;
    width: 150px;
  }
  
  .open-popup:hover{
    color: #F7921D;
    background-color: #000;
  }
 
.r-title{
    margin-top: var(--rTitleMarginTop, 0) !important;
    margin-bottom: var(--rTitleMarginBottom, 0) !important;
}

/* 
helper to hide elements that are available only for screen readers. 
*/

.screen-reader{
  width: var(--screenReaderWidth, 1px) !important;
  height: var(--screenReaderHeight, 1px) !important;
  padding: var(--screenReaderPadding, 0) !important;
  border: var(--screenReaderBorder, none) !important;

  position: var(--screenReaderPosition, absolute) !important;
  clip: var(--screenReaderClip, rect(1px, 1px, 1px, 1px)) !important;
  overflow: var(--screenReaderOverflow, hidden) !important;
}



.popup:not(:target){
  display: none;
}

.popup:target{
  width: 100%;
  height: 100vh;
  
  display: flex;
 
  position: fixed;
  top: 0;
  right: 0;  
}

.popup::before{
  content: "";
  box-sizing: border-box;
  width: 100%;
  background-color: #fff;

  position: fixed;
  left: 0;
  top: 50%;
}

.popup::after{
  content: "";
  width: 0;
  height: 2px;
  background-color: #f0f0f0;

  position: absolute;
  top: 50%;
  left: 0;
  margin-top: -1px;
}

.popup_container{
  box-sizing: border-box;  
  padding: clamp(2rem, 3rem, 4rem);
  
  height: 100vh; /* 1 */
  margin: auto; /* 1 */
  overflow: auto; /* 1 */
  overscroll-behavior: contain; /* 1 */
  animation: fade .5s ease-out 1.3s both;
}


@keyframes fade{

  0%{
    opacity: 0;
  }

  100%{
    opacity: 1;
  }
}

.popup_title{
  --rTitleMarginBottom: 1.5rem;
  font-size: 1.5rem;
}

.popup_close{
  width: 2rem;
  height: 2rem;

  position: fixed;
  top: 1.5rem;
  right: 1.5rem;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  background-image: url(data:image/svg+xml;base64,PHN2ZyBmaWxsPSIjMDAwMDAwIiBoZWlnaHQ9IjI0IiB2aWV3Qm94PSIwIDAgMjQgMjQiIHdpZHRoPSIyNCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4gICAgPHBhdGggZD0iTTE5IDYuNDFMMTcuNTkgNSAxMiAxMC41OSA2LjQxIDUgNSA2LjQxIDEwLjU5IDEyIDUgMTcuNTkgNi40MSAxOSAxMiAxMy40MSAxNy41OSAxOSAxOSAxNy41OSAxMy40MSAxMnoiLz4gICAgPHBhdGggZD0iTTAgMGgyNHYyNEgweiIgZmlsbD0ibm9uZSIvPjwvc3ZnPg==);
}
a.popup_close{
  background-color: #F05223;
  
}
a.popup_close:hover{
  background-color: #F7921D;
  color: #f0f0f0;
  transform: rotate(360deg);
}

/*
animation
*/

.popup::before{
  will-change: height, top;
  animation: open-animation .6s cubic-bezier(0.83, 0.04, 0, 1.16) .65s both;
}

.popup::after{
  will-change: width, opacity;
  animation: line-animation .6s cubic-bezier(0.83, 0.04, 0, 1.16) both;
}

@keyframes line-animation{

  0%{
    width: 0;
    opacity: 1;
  }

  99%{
    width: 100%;
    opacity: 1;
  }

  100%{
    width: 100%;
    opacity: 0;
  }  
}

@keyframes open-animation{

  0%{
    height: 0;
    top: 50%;
  }

  100%{
    height: 100vh;
    top: 0;
  }
}




.o_nama_container{
  background-image: url("../img/O_nama_bckg.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  
  color: #f0f0f0;
  display: flex;
  justify-content: center;
  align-items: center;
}
.popup_content_o_nama{
  background-color: rgba(240, 82, 35, 0.7);
  padding: 20px;
  
  
  }

.kontakt_container{
  width: 100vw;
  height: 100%;
  background-image: url("../img/bckg-kontakt.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;

  color: #f0f0f0;
  display: flex;
  justify-content: center;
  align-items: center;
} 
.kontakt_details{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-end;
}
.kontakt_details{
  margin-bottom: 20px;
}

.kontakt_title span{
  font-size: 1.4rem;
  font-weight: bold;
  color: #000;
  line-height: 10px;
  margin-bottom: 25px;
}



.gallery_container{
  width: 100vw;
  height: 100%;
  background-image: url("../img/bckg-galerija.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;

  color: #f0f0f0;
  display: flex;
  justify-content: center;
  align-items: center;
} 

  
.popup_content_kontakt{
  background-color: rgba(240, 82, 35, 0.8);
  padding: 50px; 
}

.popup_content_kontakt a{
  text-decoration:none; 
  color: #f0f0f0;
  transition: 0.5s ease;
}
.popup_content_kontakt a:hover{
  color: lightgray;
}


.popup_content_galerija h1{
  text-align: center;
}


/* GALERIJA */
div.gallery {
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
  margin-top: 50px;
  max-width: 1200px;
  flex-wrap: wrap;
}

div.gallery img{
  margin: 10px;
  width: 220px;
  height: 180px;
  object-fit: cover;
}

/* PROIZVODI */
.proiz{
  background-image: url("../img/bckg-proizvodi.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  color: #f0f0f0;
}  

.popup_content_proizvodi h1{
  text-align: center;
}

.proizvodi{
  display: grid;
  grid-template-rows: repeat(4, 1fr);
  grid-template-columns: repeat(4, minmax(20%, 1fr));
  grid-gap: 1em;
}

.kategorija{
  background-color: rgba(240, 82, 35, 0.7);
  padding: 20px;
}

.kategorija h2{
  color: #223;
}
/* ANIMACIJE */

@keyframes backgroundAnim {
	0% {
		background-position: 50% 0%;
	}

	100% {
		background-position: 50% 100%;
	}
}


.zoomIn {
  -webkit-animation-name: zoomIn;
  animation-name: zoomIn;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  animation-delay: 0.6s;
  }
  @-webkit-keyframes zoomIn {
  0% {
  opacity: 0;
  -webkit-transform: scale3d(.3, .3, .3);
  transform: scale3d(.3, .3, .3);
  }
  50% {
  opacity: 1;
  }
  }
  @keyframes zoomIn {
  0% {
  opacity: 0;
  -webkit-transform: scale3d(.3, .3, .3);
  transform: scale3d(.3, .3, .3);
  }
  50% {
  opacity: 1;
  }
  } 


.flash {
  -webkit-animation-name: flash;
  animation-name: flash;
  -webkit-animation-duration: 3s;
  animation-duration: 3s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  animation-iteration-count: infinite;
  animation-delay: 4s;
  }
  @-webkit-keyframes flash {
  0%, 50%, 100% {
  opacity: 1;
  }

  25%, 75% {
  opacity: 0;
  }
  }

  @keyframes flash {
  0%, 50%, 100% {
  opacity: 1;
  }

  25%, 75% {
  opacity: 0;
  }
  } 

.slideInRight {
  -webkit-animation-name: slideInRight;
  animation-name: slideInRight;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  
  }
  @-webkit-keyframes slideInRight {
  0% {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  }
  }
  @keyframes slideInRight {
  0% {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  }
  } 
  

.slideInUp {
  -webkit-animation-name: slideInUp;
  animation-name: slideInUp;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  }
  @-webkit-keyframes slideInUp {
  0% {
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateY(0);
  transform: translateY(0);
  }
  }
  @keyframes slideInUp {
  0% {
  -webkit-transform: translateY(100%);
  transform: translateY(100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateY(0);
  transform: translateY(0);
  }
  } 


.slideInDown {
-webkit-animation-name: slideInDown;
animation-name: slideInDown;
-webkit-animation-duration: 1s;
animation-duration: 1s;
-webkit-animation-fill-mode: both;
animation-fill-mode: both;
}
@-webkit-keyframes slideInDown {
0% {
-webkit-transform: translateY(-100%);
transform: translateY(-100%);
visibility: visible;
}
100% {
-webkit-transform: translateY(0);
transform: translateY(0);
}
}
@keyframes slideInDown {
0% {
-webkit-transform: translateY(-100%);
transform: translateY(-100%);
visibility: visible;
}
100% {
-webkit-transform: translateY(0);
transform: translateY(0);
}
} 

.slideInLeft {
  -webkit-animation-name: slideInLeft;
  animation-name: slideInLeft;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  }
  @-webkit-keyframes slideInLeft {
  0% {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  }
  }
  @keyframes slideInLeft {
  0% {
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
  visibility: visible;
  }
  100% {
  -webkit-transform: translateX(0);
  transform: translateX(0);
  }
  } 


  @media (max-width: 832px) {
    
  
    .logo img{
      width: 275px;
    }
    
    div.gallery img {
      margin: 10px;
      width: 100px;
      height: 120px;
    } 
  
    .proizvodi{
      display: grid;
      grid-template-rows: repeat(1, 1fr);
      grid-template-columns: repeat(1, minmax(50%, 1fr));
      grid-gap: 1em;
    }
    
     
  }


  @media only screen and (max-width: 998px) and (min-width: 833px) {
 
  .proizvodi{
    display: grid;
    grid-template-rows: repeat(1, 1fr);
    grid-template-columns: repeat(2, minmax(50%, 1fr));
    grid-gap: 1em;
  }
  
   
}